namespace UnityEngine.Rendering.Universal
{
    public class PostProcessUrp : ScriptableRendererFeature
    {
        PostProcessUrpPass ppsUrpPass;
        public Material material;

        public override void Create()
        {
            ppsUrpPass = new PostProcessUrpPass();
        }

        public override void AddRenderPasses(ScriptableRenderer renderer, ref RenderingData renderingData)
        {
            if (renderingData.postProcessingEnabled && renderingData.cameraData.postProcessEnabled)
            {
                ppsUrpPass.Setup(renderer.cameraColorTarget);
                renderer.EnqueuePass(ppsUrpPass);
            }
        }
    }
}

